{
  "name": "si-meng-web-site-notes",
  "type": "module",
  "version": "1.0.0",
  "description": "祀梦的笔记网站",
  "license": "MIT",
  "engines": {
    "node": "^20.6.0 || >=22.0.0"
  },
  "scripts": {
    "docs:dev": "vuepress dev docs",
    "docs:dev-clean": "vuepress dev docs --clean-cache --clean-temp",
    "docs:build": "vuepress build docs --clean-cache --clean-temp",
    "docs:preview": "http-server docs/.vuepress/dist",
    "vp-update": "npx vp-update"
  },
  "devDependencies": {
    "@vuepress/bundler-vite": "2.0.0-rc.24",
    "@vuepress/plugin-umami-analytics": "^2.0.0-rc.112",
    "artalk": "^2.9.1",
    "http-server": "^14.1.1",
    "typescript": "^5.9.2",
    "vue": "^3.5.21",
    "vuepress": "2.0.0-rc.24",
    "vuepress-theme-plume": "1.0.0-rc.164"
  },
  "dependencies": {
    "@waline/client": "^3.6.0",
    "mermaid": "^11.12.1"
  }
}
